pkcs11h_crypto_engine_s Struct Reference
Engines interface

Crypto engine. More...

`#include <pkcs11h-engines.h>`

## Public Attributes

int(* | initialize )(IN void *const global_data)
| Initialize engine.
int(* | uninitialize )(IN void *const global_data)
| Uninitialize engine.
int(* | certificate_get_expiration )(IN void *const global_data, IN const unsigned char *const blob, IN const size_t blob_size, OUT time_t *const expiration)
| Get exportation date out of certificate.
int(* | certificate_get_dn )(IN void *const global_data, IN const unsigned char *const blob, IN const size_t blob_size, OUT char *const dn, IN const size_t dn_max)
| Get certificate distinguished name.
int(* | certificate_is_issuer )(IN void *const global_data, IN const unsigned char *const issuer_blob, IN const size_t issuer_blob_size, IN const unsigned char *const cert_blob, IN const size_t cert_blob_size)
| Determine if one certificate is an issuer of another.

## Detailed Description

Crypto engine.

## Member Data Documentation

## certificate_get_dn

int(* pkcs11h_crypto_engine_s::certificate_get_dn) (IN void *const global_data, IN const unsigned char *const blob, IN const size_t blob_size, OUT char *const dn, IN const size_t dn_max)

Get certificate distinguished name.

Parameters

  global_data | Engine data.
  blob | Certificate blob.
  blob_size | Certificate blob size.
  dn | dn buffer.
  dn_max | dn buffer size.

Returns
  None zero - Success.

## certificate_get_expiration

int(* pkcs11h_crypto_engine_s::certificate_get_expiration) (IN void *const global_data, IN const unsigned char *const blob, IN const size_t blob_size, OUT time_t *const expiration)

Get exportation date out of certificate.

Parameters

  global_data | Engine data.
  blob | Certificate blob.
  blob_size | Certificate blob size.
  expiration | Certificate expiration time.

Returns
  None zero - Success.

## certificate_is_issuer

int(* pkcs11h_crypto_engine_s::certificate_is_issuer) (IN void *const global_data, IN const unsigned char *const issuer_blob, IN const size_t issuer_blob_size, IN const unsigned char *const cert_blob, IN const size_t cert_blob_size)

Determine if one certificate is an issuer of another.

Parameters

  global_data | Engine data.
  issuer_blob | Issuer's certificate blob.
  issuer_blob_size | Issuer's certificate blob size.
  cert_blob | Certificate blob.
  cert_blob_size | Certificate blob size.

Returns
  None zero - Success.

## initialize

int(* pkcs11h_crypto_engine_s::initialize) (IN void *const global_data)

Initialize engine.

Parameters

  global_data | Engine data.

Returns
  None zero - Success.

## uninitialize

int(* pkcs11h_crypto_engine_s::uninitialize) (IN void *const global_data)

Uninitialize engine.

Parameters

  global_data | Engine data.

Returns
  None zero - Success.

The documentation for this struct was generated from the following file:

- pkcs11-helper-1.0/pkcs11h-engines.h

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |